WEECHAT(1)

NAME
weechat - rozszerzalny klient rozmów

SKŁADNIA

    weechat [-a|--no-connect] [-d|--dir <ścieżka>] [-p|--no-plugin] [-r|--run-command <komenda>] [-s|--no-script] [--upgrade] [wtyczka:opcja...]
    weechat [-c|--colors]
    weechat [-h|--help]
    weechat [-l|--license]
    weechat [-v|--version]

OPIS

WeeChat to szybki, lekki i rozszerzalny klient rozmów.

Jest modularny (lekkie jądro z wtyczkami), wielo protokołowy (IRC i Jabber), rozszerzalny za pomocą C i skryptów pisanych w kilku językach.

OPCJE

-a, --no-connect
    Wyłącza automatyczne łączenie się z serwerami podczas uruchamiania WeeChat.

-c, --colors
    Wyświetla domślne kolory w terminalu.

-d, --dir <ścieżka>
    Ustawia ścieżkę jako katalog domowy WeeChat (używany dla plików konfiguracyjnych, logów, wtyczek użytkownika i skryptów), domyślna wartość to ~/.weechat (katalog zostanie utworzony jeśli nie istnieje).

-h, --help
    Wyświetla pomoc.

-l, --license
    Wyświetla licencję.

-p, --no-plugin
    Wyłącza automatyczne ładowanie wtyczek.

-r, --run-command <komenda>
    Wykonuje komendę(-y) po uruchomieniu (komendy należy oddzielać średnikiem).

-s, --no-script
    Wyłącza automatyczne ładowanie skryptów.

--upgrade
    Aktualizuje WeeChat z użyciem plików sesji wygenerowanych przez komende /upgrade -quit.

-v, --version
    Wyświetla wersję WeeChat.

wtyczka:opcja
    Opcja dla wtyczki.

OPCJE WTYCZEK

Kompletna dokumentacja na temat opcji wtyczek dostępna jest w WeeChat user’s guide.

Dzięki wtyczce irc możliwe jest połączenie z serwerami tymczasowymi za pomocą URLi jak:

    irc[6][s]://[[nick][:hasło]@]serwer[:port][/#kanał1[,#kanał2...]]

Aby wejść na kanał IRC poświęcony WeeChat pod nickiem "mójnick":

    irc://mójnick@chat.freenode.net/#weechat

Adresy IPv6 mogą być otoczone nawiasami kwadratowymi, aby możliwe było podanie numeru potyu po adresie, na przykład:

    irc://mójnick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

PLIKI

$HOME/.weechat/weechat.conf
    główny plik konfiguracyjny WeeChat

$HOME/.weechat/plugins.conf
    plik konfiguracyjny wtyczek

$HOME/.weechat/sec.conf
    plik konfiguracyjny z zabezpieczonymi danymi

$HOME/.weechat/alias.conf
    plik konfiguracyjny wtyczki alias

$HOME/.weechat/aspell.conf
    plik konfiguracyjny wtyczki aspell

$HOME/.weechat/charset.conf
    plik konfiguracyjny wtyczki charset

$HOME/.weechat/exec.conf
    plik konfiguracyjny wtyczki exec

$HOME/.weechat/irc.conf
    plik konfiguracyjny wtyczki irc

$HOME/.weechat/logger.conf
    plik konfiguracyjny wtyczki logger

$HOME/.weechat/relay.conf
    plik konfiguracyjny wtyczki relay

$HOME/.weechat/script.conf
    plik konfiguracyjny wtyczki script

$HOME/.weechat/trigger.conf
    plik konfiguracyjny wtyczki trigger

$HOME/.weechat/xfer.conf
    plik konfiguracyjny wtyczki xfer

$HOME/.weechat/weechat.log
    plik z logami WeeChat

AUTORZY

WeeChat jest tworzony przez Sébastien Helleu i społeczność (pełna lista dostępna jest w pliku AUTHORS).

Copyright © 2003-2015 Sébastien Helleu <flashcode@flashtux.org>

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Pełna licencja znajduje się w pliku COPYING.

Strona www: https://weechat.org/

WSPARCIE / ZGŁASZANIE BŁĘDÓW

W celu uzyskania pomocy, lub zgłoszenia błędu zajrzyj na: https://weechat.org/dev/support